package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumImportType {

    MEMBER(1, "member"),
    SHOP_RENT(2, "shop_rent"),
    POINT_RENT(3, "point_rent"),
    SHOP_PROPERTY(4, "shop_property"),
    POINT_PROPERTY(5, "point_property"),
    DAILY(6, "daily"),
    OTHER(7, "other"),
    OTHER_DEPOSIT(8, "other_deposit"),;

    public static EnumImportType getEnum(Integer code) {
        for (EnumImportType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumImportType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
